#
# spec file for package python-dparse
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without  test
%define skip_python2 1
Name:           python-dparse
Version:        0.5.0
Release:        lp152.1.1
Summary:        Python dependency file parser
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/jayfk/dparse
Source:         https://files.pythonhosted.org/packages/source/d/dparse/dparse-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-PyYAML
Requires:       python-packaging
Recommends:     python-pipenv
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module packaging}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module toml}
%endif
%python_subpackages

%description
A parser for Python dependency files.

%prep
%setup -q -n dparse-%{version}
# Note vendor/toml.py could be unvendored

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
# There is a bug in the pipenv support, related to writing a new toml file.
# Both dparse and pipenv have a vendored copy of different toml libraries.
# and even more, we do not have pipenv in our distribution
%pytest --deselect 'tests/test_updater.py::test_update_pipfile'
%endif

%files %{python_files}
%license LICENSE
%doc README.rst HISTORY.rst
%{python_sitelib}/*

%changelog
* Fri Apr  3 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 0.5.0
  * Dropped Python 2.7, 3.3, 3.4 support
  * Removed six package
  * Removed pinned dependencies of tests
  * Dropped setup.py tests support in favor of tox
* Tue Apr 16 2019 Matej Cepl <mcepl@suse.com>
- Although pipenv is required by upstream, tests pass even
  without it, and we don't have it packaged yet.
* Tue Feb 12 2019 John Vandenberg <jayvdb@gmail.com>
- Update to v0.4.1
  * Fixed a packaging error
- for 0.4.0
  * pipenv is now an optional dependency that's only used when updating a Pipfile
  * Added support for invalid toml Pipfiles
- for 0.3.0
  * Added support for setup.cfg files
  * Dependencies from Pipfiles now include the section
  * Multiline requirements are now ignored if they are marked
  * Added experimental support for Pipfiles
- Remove unnecessary build dependency on python-devel and pytest-runner
- Added Recommends for pipenv, and disabled one test related to Pipfile
  support.
- Use %%license
* Wed Jan 17 2018 toddrme2178@gmail.com
- Initial version for 0.2.1
